"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/server.ts
var server_exports = {};
__export(server_exports, {
  buildMetaPayload: () => buildMetaPayload,
  withHandleMetaEvent: () => withHandleMetaEvent
});
module.exports = __toCommonJS(server_exports);
var import_server = require("wshe/server");
function buildMetaPayload(event, data) {
  return (0, import_server.withSign)((0, import_server.jsonStringify)({
    event,
    data
  }));
}
function withHandleMetaEvent() {
  return {
    tryParseMetaEvent(event) {
      return (0, import_server.tryToParseRawMessage)(event);
    },
    // heartbeat...
    isHeartbeatRequestParsed: import_server.isHeartbeatRequestParsed,
    getHeartbeatResponse: import_server.getHeartbeatResponse,
    // register....
    isMetaRegisterEvent(event) {
      return event.event === "register" /* Register */;
    },
    getMetaRegisterEventPayload(event) {
      return event.data;
    },
    getMetaRegisterResponse(roomId, userId) {
      return buildMetaPayload("open" /* Open */, {
        roomId,
        data: [{ id: userId }]
      });
    },
    getMetaRegisterAcceptResponse(roomId, userId) {
      return buildMetaPayload("register-accept" /* RegisterAccept */, {
        roomId,
        id: userId
      });
    },
    // close...
    getMetaCloseResponse(roomId, userId) {
      return buildMetaPayload("close" /* Close */, {
        roomId,
        data: {
          id: userId
        }
      });
    }
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  buildMetaPayload,
  withHandleMetaEvent
});
