import { isHeartbeatRequestParsed, getHeartbeatResponse } from 'wshe/server';

declare function buildMetaPayload<T extends Record<string, any>>(event: keyof T, data: T[keyof T]): string;
declare enum MetaEventType {
    Open = "open",
    Close = "close",
    Register = "register",
    RegisterAccept = "register-accept"
}
type MetaEventTypePayload = {
    [K in MetaEventType]: any;
};
declare function withHandleMetaEvent(): {
    tryParseMetaEvent(event: any): [unknown, boolean];
    isHeartbeatRequestParsed: typeof isHeartbeatRequestParsed;
    getHeartbeatResponse: typeof getHeartbeatResponse;
    isMetaRegisterEvent(event: any): boolean;
    getMetaRegisterEventPayload(event: any): {
        roomId: string;
        userId: string;
    };
    getMetaRegisterResponse(roomId: string, userId: string): string;
    getMetaRegisterAcceptResponse(roomId: string, userId: string): string;
    getMetaCloseResponse(roomId: string, userId: string): string;
};

export { type MetaEventTypePayload, buildMetaPayload, withHandleMetaEvent };
